Name:           gvrpcd
Version:        1.3
Release:        alt1_13
Summary:        A program for announcing VLANs using GVRP

Group:          System/Servers
License:        GPLv2
URL:            http://sokrates.mimuw.edu.pl/~sebek/gvrpcd/
Source0:        http://sokrates.mimuw.edu.pl/~sebek/%{name}/%{name}-%{version}.tar.gz
Source1:        gvrpcd.service
Patch0:         gvrpcd-fedora.patch

BuildRequires:  libnet2-devel
Source44: import.info

#Requires(post): /sbin/chkconfig
#Requires(preun): /sbin/chkconfig
# This is for /sbin/service
#Requires(preun): /sbin/service


%description
gvrpcd implements end-node GVRP functionality as a user-space daemon.
It generates periodically GVRP "JOIN" packets with information about
VLANs that server has defined on given NIC, or more generically - that it
wants to be able to connect to.


%prep
%setup -q
%patch0 -p1

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
install -p -D -m0755 gvrpcd $RPM_BUILD_ROOT%{_sbindir}/gvrpcd
install -p -D -m0755 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/gvrpcd.service
install -p -D -m0644 gvrpcd-fedora.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/gvrpcd


%files
%doc ChangeLog COPYING README
%{_sbindir}/gvrpcd
%{_unitdir}/gvrpcd.service
%config(noreplace) %{_sysconfdir}/sysconfig/gvrpcd


%changelog
* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_13
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_9
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_8
- initial fc import

